Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::CollisionRenderer Class Reference

コリジョンレンダラ More...

`#include <CollisionRenderer.h>`

List of all members.

## Public Member Functions
| CollisionRenderer ()
| コンストラクタ
virtual | ~CollisionRenderer ()
| デストラクタ
virtual void | renderingSetup (CollisionScene *scene, Camera *camera)
| レンダリング準備を行う
virtual void | rendering ()
| レンダリングを行う
virtual void | setDrawnNode (bool isDrawnNode)
| ノードの描画フラグ設定
virtual bool | isDrawnNode () const
| ノードを描画するか
virtual void | setDrawnLeaf (bool isDrawnLeaf)
| リーフの描画フラグ設定
virtual bool | isDrawnLeaf () const
| リーフを描画するか
## Protected Member Functions
virtual void | setupStaticSphereCollision (StaticSphereCollision *sphereCollision)
| 静的球コリジョンのセットアップ
virtual void | setupStaticDeformedMeshCollision (StaticDeformedMeshCollision *meshCollision)
| 静的変形メッシュコリジョンのセットアップ
## Protected Attributes
PrimitiveRenderer * | renderer_
| プリミティブレンダラ
CollisionScene * | scene_
| シーン
Camera * | camera_
| カメラ
bool | isDrawnNode_
| ノードを描画するか
bool | isDrawnLeaf_
| リーフを描画するか

## Detailed Description

コリジョンレンダラ

Definition at line 40 of file CollisionRenderer.h.

## Member Function Documentation

virtual bool Lamp::CollisionRenderer::isDrawnLeaf | ( |  | ) | const`[inline, virtual]`

| リーフを描画するか Returns: リーフを描画するならtrue Definition at line 96 of file CollisionRenderer.h. References isDrawnLeaf_. Referenced by renderingSetup().

virtual bool Lamp::CollisionRenderer::isDrawnNode | ( |  | ) | const`[inline, virtual]`

| ノードを描画するか Returns: ノードを描画するならtrue Definition at line 83 of file CollisionRenderer.h. References isDrawnNode_. Referenced by renderingSetup().

void Lamp::CollisionRenderer::renderingSetup | ( | CollisionScene * | scene,
|  | Camera * | camera
| ) | `[virtual]`

  | レンダリング準備を行う Parameters:
  scene | レンダリングを行うコリジョンシーン
  camera | レンダリングに使用するカメラ
Definition at line 50 of file CollisionRenderer.cpp. References Assert, camera_, Lamp::CollisionObject::castStaticDeformedMeshCollision(), Lamp::CollisionObject::castStaticSphereCollision(), Lamp::CollisionScene::getLeaf(), Lamp::CollisionScene::getLeafCount(), Lamp::CollisionScene::getNode(), Lamp::CollisionScene::getNodeCount(), Lamp::CollisionNode::getWorldMatrix(), isDrawnLeaf(), isDrawnNode(), Lamp::CollisionObject::isGlobalEnabled(), Lamp::CollisionObject::isStaticDeformedMeshCollision(), Lamp::CollisionObject::isStaticSphereCollision(), NULL, renderer_, Lamp::PrimitiveRenderer::requestAxis(), scene_, setupStaticDeformedMeshCollision(), and setupStaticSphereCollision().

virtual void Lamp::CollisionRenderer::setDrawnLeaf | ( | bool | isDrawnLeaf | ) | `[inline, virtual]`

  | リーフの描画フラグ設定 Parameters:
  isDrawnLeaf | リーフを描画するならtrue
Definition at line 90 of file CollisionRenderer.h. References isDrawnLeaf_.

virtual void Lamp::CollisionRenderer::setDrawnNode | ( | bool | isDrawnNode | ) | `[inline, virtual]`

  | ノードの描画フラグ設定 Parameters:
  isDrawnNode | ノードを描画するならtrue
Definition at line 77 of file CollisionRenderer.h. References isDrawnNode_.

void Lamp::CollisionRenderer::setupStaticDeformedMeshCollision | ( | StaticDeformedMeshCollision * | meshCollision | ) | `[protected, virtual]`

  | 静的変形メッシュコリジョンのセットアップ Parameters:
  meshCollision | 静的変形メッシュコリジョン
Definition at line 91 of file CollisionRenderer.cpp. References Lamp::DeformedMeshGeometry::getBoundingBox(), Lamp::DeformedMeshGeometry::getBoundingSphere(), Lamp::AxisAlignedBox::getCenter(), Lamp::Sphere::getCenter(), Lamp::Sphere::getRadius(), Lamp::AxisAlignedBox::getSize(), Lamp::DeformedMeshGeometry::getTriangle(), Lamp::DeformedMeshGeometry::getTriangleCount(), Lamp::Triangle::getVertex(), Lamp::StaticDeformedMeshCollision::getWorldMesh(), renderer_, Lamp::PrimitiveRenderer::requestBox(), Lamp::PrimitiveRenderer::requestLine(), Lamp::PrimitiveRenderer::requestSphere(), and SafeArrayDelete. Referenced by renderingSetup().

void Lamp::CollisionRenderer::setupStaticSphereCollision | ( | StaticSphereCollision * | sphereCollision | ) | `[protected, virtual]`

  | 静的球コリジョンのセットアップ Parameters:
  sphereCollision | 静的球コリジョン
Definition at line 81 of file CollisionRenderer.cpp. References Lamp::Sphere::getCenter(), Lamp::Sphere::getRadius(), Lamp::StaticSphereCollision::getWorldSphere(), renderer_, and Lamp::PrimitiveRenderer::requestSphere(). Referenced by renderingSetup().

The documentation for this class was generated from the following files:

- CollisionRenderer.h
- CollisionRenderer.cpp